description

# dart:js_util library Null safety

Utility methods to manipulate `package:js` annotated JavaScript interop objects in cases where the name to call is not known at runtime.

You should only use these methods when the same effect cannot be achieved with `@JS()` annotations.

## Functions

callConstructor(Object constr, List<Object?> arguments) → dynamic
callMethod(Object o, String method, List<Object?> args) → dynamic
getProperty(Object o, Object name) → dynamic
hasProperty(Object o, Object name) → bool
instanceof(Object? o, Object type) → bool
  Check whether `o` is an instance of `type`. [...]
jsify(Object object) → dynamic
  Recursively converts a JSON-like collection to JavaScript compatible representation. [...]
newObject() → dynamic
promiseToFuture<T>(Object jsPromise) → Future<T>
  Converts a JavaScript Promise to a Dart Future. [...]
setProperty(Object o, Object name, Object? value) → dynamic